# aclocal.m4 generated automatically by aclocal 1.5

# Copyright 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

dnl acinclude.m4  -  macros used to create configuration script
dnl
dnl Copyright (C) 1996-2002 Gero Kuhlmann
dnl
dnl $Id: acinclude.m4,v 1.2 2002/04/23 08:34:11 gkminix Exp $
dnl
dnl
dnl
dnl Define a macro which can be used to run an assembler or compiler and
dnl act on its return code
dnl
dnl NB_CHECK_COMP(progname, programcode[, exec-if-true[, exec-if-false]])
dnl
define(NB_CHECK_COMP,
[AC_PROVIDE([$0])dnl
cat > conftest.test <<EOF
[$2]
EOF
if eval [$1] conftest.test >&5 2>&5; then
  ifelse([$3], , :, [rm -rf conftest*
  $3
])
ifelse([$4], , , [else
  rm -rf conftest*
  $4
])dnl
fi
rm -f conftest*]
)dnl

dnl
dnl Check if the C compiler understands a specific command line option
dnl
dnl NB_CHECK_CC_ARG(args)
dnl
define(NB_CHECK_CC_ARG,
[AC_PROVIDE([$0])dnl
  AC_CACHE_CHECK(whether ${CC-cc} accepts -[$1], ac_cv_prog_cc_[$1], [
    echo 'void f(){}' > conftest.c
    if test -z "`${CC-cc} -[$1] -c conftest.c 2>&1`"; then
      ac_cv_prog_cc_[$1]=yes
    else
      ac_cv_prog_cc_[$1]=no
    fi
  ])
rm -f conftest*]
)dnl


#serial 1
# This test replaces the one in autoconf.
# Currently this macro should have the same name as the autoconf macro
# because gettext's gettext.m4 (distributed in the automake package)
# still uses it.  Otherwise, the use in gettext.m4 makes autoheader
# give these diagnostics:
#   configure.in:556: AC_TRY_COMPILE was called before AC_ISC_POSIX
#   configure.in:556: AC_TRY_RUN was called before AC_ISC_POSIX

undefine([AC_ISC_POSIX])

AC_DEFUN([AC_ISC_POSIX],
  [
    dnl This test replaces the obsolescent AC_ISC_POSIX kludge.
    AC_CHECK_LIB(cposix, strerror, [LIBS="$LIBS -lcposix"])
  ]
)

